ECRI
Schedule ECRI for unit rental records
Schedules an Effective Current Rent Increase (ECRI) for one or more unit rental records, up to 1 day delay
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
ecri
/
schedule
Schedule ECRI for unit rental records
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"items": [
{
"unitRentalRecordUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ecriDateEffective": "2023-12-25",
"newRentInPennies": 123
}
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/schedule"
payload = { "items": [
{
"unitRentalRecordUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ecriDateEffective": "2023-12-25",
"newRentInPennies": 123
}
] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
unitRentalRecordUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ecriDateEffective: '2023-12-25',
newRentInPennies: 123
}
]
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of ECRI schedule items (max 100 items)
Show child attributes
Show child attributes
Response
ECRI scheduled successfully
Previous
Unschedule ECRI for unit rental recordsUnschedules an Effective Current Rent Increase (ECRI) for one or more unit rental records
Next
⌘I
Schedule ECRI for unit rental records

